
QGIS Application - Bug report #3180

VRT files missing 2 lines for each layer

2010-11-02 05:45 AM - alobo -

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13240

Description

When making a VRT file

using "Raster/Build virtual raster (catalog)", QGIS just sees one layer. The vrt file has to be edited 

to add these 2 lines such as:

</VRTRasterBand>

<VRTRasterBand dataType="UInt16" band="2">

for each layer as suggested by Benoit in 20100811

Agus

Associated revisions

Revision ac011f43 - 2010-12-20 04:58 AM - Giuseppe Sucameli

Added separate option to BuildVRT tool, to fix #3180

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@14939 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 4a4fea39 - 2010-12-20 04:58 AM - Giuseppe Sucameli

Added separate option to BuildVRT tool, to fix #3180

git-svn-id: http://svn.osgeo.org/qgis/trunk@14939 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-12-01 12:03 AM - alobo -

According to Giusepe Sucameli this problem would be solved

by including the option of adding the -separate flag to the run of

gdalbuildvrt

#2 - 2010-12-16 04:15 AM - Giuseppe Sucameli

- Status changed from Open to In Progress

Replying to [comment:1 alobo]:
According to Giusepe Sucameli this problem would be solved

by including the option of adding the -separate flag to the run of

gdalbuildvrt

Did you try to run gdalbuildvrt using the -separate option? 

If all went fine, I'm going to add this option to the gdalbuildvrt GUI.

#3 - 2010-12-16 05:34 AM - alobo -

Yes, I did many times on ubuntu. Never could on windows as I do not have an osgeo4w installation

Could you please make this new version available as a python plugin package?

Agus

#4 - 2010-12-19 08:12 PM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from In Progress to Closed

Added separate option from .

It should be available also for older QGis versions by using [[GdalTools]] experimental plugin v.1.2.16
